import {injectLocal, provideLocal} from "@vueuse/core";

const key = Symbol('VOCATION_DETAIL_SERVICE')

export const useProvideVocationDetailService = function (overview, posts, currentTab, currentPostName, scrollTop) {
    const options = {overview, posts, currentTab, currentPostName, scrollTop}
    provideLocal(key, options)
    return options
}

export const useInjectVocationDetailService = function () {
    return injectLocal(key)
}